/*
 * This file is part of presence  *
 *
 * Copyright  2011 Nokia Corporation and/or its subsidiary(-ies). Allrights reserved.
 *
 * Contact: Alvi Hirvela <Alvie.Hirvela@nokia.com>
 *
 * This software, including documentation, is protected by copyrightcontrolled by
 * Nokia Corporation. All rights are reserved. Copying, including reproducing, storing,
 * adapting or translating, any or all of this material requires the prior written consent
 * of Nokia Corporation. This material also contains confidential information which may
 * not be disclosed to others  without the prior written consent of Nokia.
 */
#ifndef STATUSIMAGEWIDGETMODEL_H
#define STATUSIMAGEWIDGETMODEL_H

#include <mimagewidgetmodel.h>

class StatusImageWidgetModel: public MImageWidgetModel
{
    Q_OBJECT
    M_MODEL(StatusImageWidgetModel)


private:

    M_MODEL_PROPERTY( QString, avatarID, AvatarID, true, QString("") );
    M_MODEL_PROPERTY( QString, presenceID, PresenceID, true, QString("") );
    M_MODEL_PROPERTY( QString, avatarPath, AvatarPath, true, QString("") );
    M_MODEL_PROPERTY( QByteArray, avatarData, AvatarData, true, QByteArray() );
    M_MODEL_PROPERTY( bool, scalePresenceIndicator, ScalePresenceIndicator, true, false );

};

#endif // StatusImageWIDGETMODEL_H
